Transaction - ptxid

Most of the following API's will require a PTXID(Parent Transaction ID) and are based around handling transactions once they have been created. For information on how to create a transaction via a REST call, see the SID Section

get

Get the latest status of the transaction

Path parameters
ptxidstringRequired

Parent txid of the transaction

Query parameters
hashstringRequired

md5 hash of sid and rcode(this is a new version)

Responses
chevron-right
200

Lookup result

application/json
tidstringOptional

tid sent through with the transaction

txidinteger · int64Optional

Transaction id

parent_txidinteger · int64Optional

Each Transaction has a unique id. The parent transaction is the transaction that groups all transaction together.

statusstringOptional

Has the value "OK" for a successful transaction, "EXC" for a failed transaction, "PEND" for a transaction in progress.

tx_actionstringOptional

The state change txaction, e.g. "PAYMENT", "REFUND"

amountnumberOptional

The amount of the transaction

currencystringOptional

The currency of the transaction

referencestringOptional

Merchant reference

ref1stringOptional

your reference 1

ref2stringOptional

your reference 2

ref3stringOptional

your reference 3

ref4stringOptional

your reference 4

vrfystringOptional

This is a sha256 hash so the data can be verified. Generate sha256 hash of the string of sid;rcode;txid;status;amount;currency;txaction

get
/{ptxid}/getstatus
post

Requery the status of the transaction from gateway[Gateway dependant]

Path parameters
ptxidstringRequired

Parent txid of the transaction

Query parameters
sidintegerRequired

sid of site

rcodestringRequired

Rcode of the sid

referencestringOptional

Reference

postback_urlstringOptional

url to which a postback should be sent

Responses
chevron-right
200

Lookup result

application/json
tidstringOptional

tid sent through with the transaction

txidinteger · int64Optional

Transaction id

parent_txidinteger · int64Optional

Each Transaction has a unique id. The parent transaction is the transaction that groups all transaction together.

statusstringOptional

Has the value "OK" for a successful transaction, "EXC" for a failed transaction, "PEND" for a transaction in progress.

tx_actionstringOptional

The state change txaction, e.g. "PAYMENT", "REFUND"

amountnumberOptional

The amount of the transaction

currencystringOptional

The currency of the transaction

referencestringOptional

Merchant reference

ref1stringOptional

your reference 1

ref2stringOptional

your reference 2

ref3stringOptional

your reference 3

ref4stringOptional

your reference 4

vrfystringOptional

This is a sha256 hash so the data can be verified. Generate sha256 hash of the string of sid;rcode;txid;status;amount;currency;txaction

post
/{ptxid}/requery
post

request to continue transaction submission with auth

Path parameters
ptxidstringRequired

Parent txid of the transaction

Body
authtypestring · enumRequired

The authentication method.

Possible values:
authvaluestringRequired

The authentication value, either the SMS Code or Password.

miscdatastringRequired

Additional data required for processing. eg) Name|Card Number

hashstringRequired

md5(sid+rcode)

Responses
chevron-right
200

Lookup result

application/json
tidstringOptional

tid sent through with the transaction

txidinteger · int64Optional

Transaction id

parent_txidinteger · int64Optional

Each Transaction has a unique id. The parent transaction is the transaction that groups all transaction together.

statusstringOptional

Has the value "OK" for a successful transaction, "EXC" for a failed transaction, "PEND" for a transaction in progress.

tx_actionstringOptional

The state change txaction, e.g. "PAYMENT", "REFUND"

amountnumberOptional

The amount of the transaction

currencystringOptional

The currency of the transaction

referencestringOptional

Merchant reference

ref1stringOptional

your reference 1

ref2stringOptional

your reference 2

ref3stringOptional

your reference 3

ref4stringOptional

your reference 4

vrfystringOptional

This is a sha256 hash so the data can be verified. Generate sha256 hash of the string of sid;rcode;txid;status;amount;currency;txaction

post
/{ptxid}/sendauth
get

request to resend the auth

Path parameters
ptxidstringRequired

Parent txid of the transaction

Query parameters
hashstringRequired

md5(sid+rcode)

Responses
chevron-right
200

Lookup result

application/json
tidstringOptional

tid sent through with the transaction

txidinteger · int64Optional

Transaction id

parent_txidinteger · int64Optional

Each Transaction has a unique id. The parent transaction is the transaction that groups all transaction together.

statusstringOptional

Has the value "OK" for a successful transaction, "EXC" for a failed transaction, "PEND" for a transaction in progress.

tx_actionstringOptional

The state change txaction, e.g. "PAYMENT", "REFUND"

amountnumberOptional

The amount of the transaction

currencystringOptional

The currency of the transaction

referencestringOptional

Merchant reference

ref1stringOptional

your reference 1

ref2stringOptional

your reference 2

ref3stringOptional

your reference 3

ref4stringOptional

your reference 4

vrfystringOptional

This is a sha256 hash so the data can be verified. Generate sha256 hash of the string of sid;rcode;txid;status;amount;currency;txaction

get
/{ptxid}/resendauth
post

get access token

Body
usernamestringRequired

Username

passwordstringRequired

Password

Responses
chevron-right
200

Lookup result

application/json
tidstringOptional

tid sent through with the transaction

txidinteger · int64Optional

Transaction id

parent_txidinteger · int64Optional

Each Transaction has a unique id. The parent transaction is the transaction that groups all transaction together.

statusstringOptional

Has the value "OK" for a successful transaction, "EXC" for a failed transaction, "PEND" for a transaction in progress.

tx_actionstringOptional

The state change txaction, e.g. "PAYMENT", "REFUND"

amountnumberOptional

The amount of the transaction

currencystringOptional

The currency of the transaction

referencestringOptional

Merchant reference

ref1stringOptional

your reference 1

ref2stringOptional

your reference 2

ref3stringOptional

your reference 3

ref4stringOptional

your reference 4

vrfystringOptional

This is a sha256 hash so the data can be verified. Generate sha256 hash of the string of sid;rcode;txid;status;amount;currency;txaction

post
/gettoken

processrefund

processrefund uses your Bearer token for Authentication and takes in JSON data. If the transaction is still a PREAUTH that hasn't been settled, the transaction will be VOID instead. It should be noted that you can't do a partial VOID, a VOID is for the full transaction amount. You can however do a partial refund.

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
parentxidintegerRequired

Parent Transaction Id to get the tx_Action list

Body
amountnumberOptional
currencystringOptional
Responses
chevron-right
200

Successfully refunded response

application/json
sidintegerOptional
statusstringOptional
parent_txidintegerOptional
txidintegerOptional
tx_actionstringOptional
amountany ofOptionalExample: 0
stringOptional
or
numberOptional
currencystringOptional
tidstringOptional
ref1stringOptional
ref2stringOptional
ref3stringOptional
ref4stringOptional
commentstringOptional
descriptorstringOptional
pay_methodstringOptional
post
/txprocess/transaction/{parentxid}/processrefund

Last updated